Package org.apache.commons.compress.harmony.unpack200

# Class IcBands

java.lang.Object
org.apache.commons.compress.harmony.unpack200.BandSet
org.apache.commons.compress.harmony.unpack200.IcBands

public class IcBands extends BandSet
Inner Class Bands

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.BandSet

  `header, segment`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IcBands(Segment segment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IcTuple[]`
  `getIcTuples()`
  `IcTuple[]`
  `getRelevantIcTuples(String className, ClassConstantPool cp)`
  Answer the relevant IcTuples for the specified className and class constant pool.
  `void`
  `read(InputStream in)`
  `void`
  `unpack()`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.BandSet

  `decodeBandInt, decodeBandInt, getReferences, getReferences, parseCPClassReferences, parseCPDescriptorReferences, parseCPDoubleReferences, parseCPFieldRefReferences, parseCPFloatReferences, parseCPInterfaceMethodRefReferences, parseCPIntReferences, parseCPLongReferences, parseCPMethodRefReferences, parseCPSignatureReferences, parseCPSignatureReferences, parseCPStringReferences, parseCPUTF8References, parseCPUTF8References, parseFlags, parseFlags, parseFlags, parseFlags, parseReferences, parseReferences, unpack`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IcBands

    public IcBands(Segment segment)
    Parameters:
      `segment` - TODO

- ## Method Details

  - ### getIcTuples

    public IcTuple[] getIcTuples()

  - ### getRelevantIcTuples

    public IcTuple[] getRelevantIcTuples(String className, ClassConstantPool cp)
    Answer the relevant IcTuples for the specified className and class constant pool.
    Parameters:
      `className` - String name of the class X for ic_relevant(X)
      `cp` - ClassConstantPool used to generate ic_relevant(X)
    Returns:
      array of IcTuple

  - ### read

    public void read(InputStream in) throws IOException, Pack200Exception
    Specified by:
      `read` in class `BandSet`
    Throws:
      `IOException`
      `Pack200Exception`

  - ### unpack

    public void unpack() throws IOException, Pack200Exception
    Specified by:
      `unpack` in class `BandSet`
    Throws:
      `IOException`
      `Pack200Exception`